Loading...
Searching...
No Matches
Dune::GeneralVertexOrder< dim, Index_ >::iterator Class Reference

Iterate over the vertex indices of some sub-entity. More...

`#include <dune/geometry/generalvertexorder.hh>`

Inheritance diagram for Dune::GeneralVertexOrder< dim, Index_ >::iterator:

## Public Member Functions

const Index & | dereference () const
const Index & | elementAt (std::ptrdiff_t n) const
bool | equals (const iterator &other) const
void | increment ()
void | decrement ()
void | advance (std::ptrdiff_t n)
std::ptrdiff_t | distanceTo (const iterator &other) const
| iterator ()
| public default constructor

## Friends

class | GeneralVertexOrder< dim, Index >

## Detailed Description

template<std::size_t dim, class Index_ = std::size_t>
class Dune::GeneralVertexOrder< dim, Index_ >::iterator

Iterate over the vertex indices of some sub-entity.

This is a random access iterator with constant `value_type`.

## Constructor & Destructor Documentation

## iterator()

template<std::size_t dim, class Index_ = std::size_t>

Dune::GeneralVertexOrder< dim, Index_ >::iterator::iterator | ( |  | ) |

inline

public default constructor

The constructed iterator object will have a singular value. The only valid operations will be assignment of a non-singular value and destruction, all other operations will result in undefined behavior.

## Member Function Documentation

## advance()

template<std::size_t dim, class Index_ = std::size_t>

void Dune::GeneralVertexOrder< dim, Index_ >::iterator::advance | ( | std::ptrdiff_t | n | ) |

inline

## decrement()

template<std::size_t dim, class Index_ = std::size_t>

void Dune::GeneralVertexOrder< dim, Index_ >::iterator::decrement | ( |  | ) |

inline

## dereference()

template<std::size_t dim, class Index_ = std::size_t>

const Index & Dune::GeneralVertexOrder< dim, Index_ >::iterator::dereference | ( |  | ) | const

inline

## distanceTo()

template<std::size_t dim, class Index_ = std::size_t>

std::ptrdiff_t Dune::GeneralVertexOrder< dim, Index_ >::iterator::distanceTo | ( | const iterator & | other | ) | const

inline

## elementAt()

template<std::size_t dim, class Index_ = std::size_t>

const Index & Dune::GeneralVertexOrder< dim, Index_ >::iterator::elementAt | ( | std::ptrdiff_t | n | ) | const

inline

## equals()

template<std::size_t dim, class Index_ = std::size_t>

bool Dune::GeneralVertexOrder< dim, Index_ >::iterator::equals | ( | const iterator & | other | ) | const

inline

## increment()

template<std::size_t dim, class Index_ = std::size_t>

void Dune::GeneralVertexOrder< dim, Index_ >::iterator::increment | ( |  | ) |

inline

## Friends And Related Symbol Documentation

## GeneralVertexOrder< dim, Index >

template<std::size_t dim, class Index_ = std::size_t>

friend class GeneralVertexOrder< dim, Index >

friend

The documentation for this class was generated from the following file:

- generalvertexorder.hh